summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfox.cpp2018-01-23 21:02:15 +0300
committerfox.cpp2018-01-23 21:02:15 +0300
commit54a75a2093953ebfc545f8d6de505ee142f7daa9 (patch)
treebcc97b8dcef9475e002b2af74aaf6235cdc11103
downloadaur-54a75a2093953ebfc545f8d6de505ee142f7daa9.tar.gz
Init
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD57
2 files changed, 81 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..08b7753da2a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = kepka-git
+ pkgdesc = Unofficial Telegram Desktop messaging app
+ pkgver = r3355.7debac66
+ pkgrel = 1
+ url = https://github.com/procxx/kepka
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ makedepends = cmake
+ makedepends = dee
+ makedepends = python
+ depends = qt5-imageformats
+ depends = hicolor-icon-theme
+ depends = gtk3
+ depends = ffmpeg
+ depends = openal
+ depends = openssl
+ depends = minizip
+ depends = zlib
+ source = kepka-git::git+https://github.com/procxx/kepka.git
+ sha512sums = SKIP
+
+pkgname = kepka-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f1b24d67272
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,57 @@
+# Maintainer: Maks Mazurov <foxcpp at yandex dot ru>
+# Based on https://github.com/procxx/kepka/blob/dev/kepka.spec.
+pkgname=kepka-git
+pkgver=r3355.7debac66
+pkgrel=1
+pkgdesc='Unofficial Telegram Desktop messaging app'
+arch=('x86_64')
+url='https://github.com/procxx/kepka'
+license=('GPL')
+depends=('qt5-imageformats' 'hicolor-icon-theme' 'gtk3' 'ffmpeg'
+ 'openal' 'openssl' 'minizip' 'zlib')
+optdeps=('libappindicator-gtk3: AppIndicator tray icon')
+makedepends=('git' 'cmake' 'dee' 'python')
+source=("$pkgname::git+https://github.com/procxx/kepka.git")
+sha512sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/$pkgname"
+
+ # Out-of-source build is required.
+ mkdir build
+ cd build
+
+ cmake .. \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DPACKAGED_BUILD=ON
+ make
+}
+
+package() {
+ install -dm755 "$pkgdir/usr/bin"
+ install -m755 "$srcdir/$pkgname/build/Telegram/Telegram" "$pkgdir/usr/bin/kepka"
+
+ install -d "$pkgdir/usr/share/applications"
+ install -m644 "$srcdir/$pkgname/lib/xdg/kepka.desktop" "$pkgdir/usr/share/applications/kepka.desktop"
+
+ # I don't want to add conflicts=('telegram-desktop') thus I will not install tg.protocol.
+ #install -d "$pkgdir/usr/share/kservices5"
+ #install -m644 "$srcdir/$pkgname/lib/xdg/tg.protocol" "$pkgdir/usr/share/kservices5/tg.protocol"
+
+ local icon_size icon_dir
+ for icon_size in 16 32 48 64 128 256 512; do
+ icon_dir="$pkgdir/usr/share/icons/hicolor/${icon_size}x${icon_size}/apps"
+
+ install -d "$icon_dir"
+ install -m644 "$srcdir/$pkgname/Telegram/Resources/art/icon${icon_size}.png" "$icon_dir/kepka.png"
+ done
+}